<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="x_mdialog">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>x_mdialog</refname>
    <refpurpose>boîte de dialogue pour la saisie de
  paramètres</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>result=x_mdialog(title,labels,default_inputs_vector)
result=x_mdialog(title,labelsv,labelsh,default_input_matrix)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>title</term>
        <listitem>
          <para>vecteur colonne de chaînes de caractères. Titre général</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>labels</term>
        <listitem>
          <para>n vecteurs colonnes de chaînes de caractères,
          <literal>labels(i)</literal> est l'intitulé du i-ème paramètre à  
          saisir</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>default_input_vector</term>
        <listitem>
          <para>n vecteurs colonnes de chaînes de caractères,
          <literal>default_input_vector(i)</literal> la valeur initiale du i-ème
          paramètre</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>labelsv</term>
        <listitem>
          <para>vecteur de n chaînes de caractères, <literal>labelsv(i)</literal>
          est la légende de la i-ème ligne de la matrice de paramètres</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>labelsh</term>
        <listitem>
          <para>vecteur de m chaînes de caractères, <literal>labelsh(j)</literal>
          est la légende de la j-ième colonne de la matrice de paramètres</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>default_input_matrix</term>
        <listitem>
          <para>matrice n x m de chaînes de caractères,
          <literal>default_input_matrix(i,j)</literal> est la valeur initiale du
          terme (i,j) de la matrice à   saisir</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>result</term>
        <listitem>
          <para>matrice n x m de chaînes de caractères si le bouton "Ok" a été
          pressé ou [] si c'est le bouton "Cancel".</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>Boîte de dialogue pour la saisie de paramètres</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
txt=['module';'frequence';'phase    '];
sig=x_mdialog('choisir le signal sinusoidal',txt,['1';'10';'0'])
mag=evstr(sig(1))
frq=evstr(sig(2))
ph=evstr(sig(3))

rep=x_mdialog(['Simulation d''un systeme';'avec un regulateur PI'],...
              ['gain P';'gain I'],[' ';' '])
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="editvar">editvar</link>
      </member>
      <member>
        <link linkend="x_dialog">x_dialog</link>
      </member>
      <member>
        <link linkend="x_choose">x_choose</link>
      </member>
      <member>
        <link linkend="messagebox">messagebox</link>
      </member>
      <member>
        <link linkend="getvalue">getvalue</link>
      </member>
      <member>
        <link linkend="evstr">evstr</link>
      </member>
      <member>
        <link linkend="execstr">execstr</link>
      </member>
      <member>
        <link linkend="editvar">editvar</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
